DISTDIR=..\..\..
all:bzipped_tarball
clean:
	nmake /NOLOGO -f clean.mak
tarball:clean
	cd $(DISTDIR)
    if exist libv.tar del libv.tar
	tar --create --file=libv.tar libv
	cd libv\build\win32
gzipped_tarball:clean
	cd $(DISTDIR)
    if exist libv.tgz del libv.tgz
	tar --create --gzip --file=libv.tgz libv
	cd libv\build\win32
bzipped_tarball:tarball
	cd $(DISTDIR)
    if exist libv.tar.bz2 del libv.tar.bz2
	bzip2 libv.tar
	cd libv\build\win32
