#	======================================================================
#	Rules for making LibV object files
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
fifo.$(o):algorith\fifo.$(lang)
	$(cc) $(cflags) $(ansi) algorith\fifo.$(lang)
stack.$(o):algorith\stack.$(lang)
	$(cc) $(cflags) $(ansi) algorith\stack.$(lang)
tree.$(o):algorith\tree.$(lang)
	$(cc) $(cflags) $(ansi) algorith\tree.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
commport.$(o):PAL\commport.$(lang)
	$(cc) $(cflags) PAL\commport.$(lang)
dataman.$(o):PAL\dataman.$(lang)
	$(cc) $(cflags) PAL\dataman.$(lang)
fsops.$(o):PAL\fsops.$(lang)
	$(cc) $(cflags) PAL\fsops.$(lang)
metafile.$(o):PAL\metafile.$(lang)
	$(cc) $(cflags) PAL\metafile.$(lang)
mmap.$(o):PAL\mmap.$(lang)
	$(cc) $(cflags) PAL\mmap.$(lang)
sched.$(o):PAL\sched.$(lang)
	$(cc) $(cflags) PAL\sched.$(lang)
timer.$(o):PAL\timer.$(lang)
	$(cc) $(cflags) PAL\timer.$(lang)
vidgl.$(o):PAL\vidgl.$(lang)
	$(cc) $(cflags) PAL\vidgl.$(lang)
wavein.$(o):PAL\wavein.$(lang)
	$(cc) $(cflags) PAL\wavein.$(lang)
waveout.$(o):PAL\waveout.$(lang)
	$(cc) $(cflags) PAL\waveout.$(lang)
x86util.$(o):PAL\x86util.$(s)
	$(as) $(aflags) PAL\x86util.$(s)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
console.$(o):TAL\console.$(lang)
	$(cc) $(cflags) TAL\console.$(lang)
objbase.$(o):TAL\objbase.$(lang)
	$(cc) $(cflags) $(ansi) TAL\objbase.$(lang)
registry.$(o):TAL\registry.$(lang)
	$(cc) $(cflags) $(ansi) TAL\registry.$(lang)
scanner.$(o):TAL\scanner.$(lang)
	$(cc) $(cflags) $(ansi) TAL\scanner.$(lang)
string.$(o):TAL\string.$(lang)
	$(cc) $(cflags) $(ansi) TAL\string.$(lang)
bgifont.$(o):TAL\bgifont.$(lang)
	$(cc) $(cflags) $(ansi) TAL\bgifont.$(lang)
wavelib.$(o):TAL\wavelib.$(lang)
	$(cc) $(cflags) $(ansi) TAL\wavelib.$(lang)
rwlock.$(o):TAL\rwlock.$(lang)
	$(cc) $(cflags) $(ansi) TAL\rwlock.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
math3d.$(o):math\math3d.$(lang)
	$(cc) $(cflags) $(ansi) math\math3d.$(lang)
matrix.$(o):math\matrix.$(lang)
	$(cc) $(cflags) $(ansi) math\matrix.$(lang)
planar.$(o):math\planar.$(lang)
	$(cc) $(cflags) $(ansi) math\planar.$(lang)
spatial.$(o):math\spatial.$(lang)
	$(cc) $(cflags) $(ansi) math\spatial.$(lang)
vector.$(o):math\vector.$(lang)
	$(cc) $(cflags) $(ansi) math\vector.$(lang)
fftwrap.$(o):math\fftwrap.$(lang)
	$(cc) $(cflags) $(ansi) math\fftwrap.$(lang)
cspline.$(o):math\cspline.$(lang)
	$(cc) $(cflags) $(ansi) math\cspline.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
objmesh.$(o):geom\objmesh.$(lang)
	$(cc) $(cflags) $(ansi) geom\objmesh.$(lang)
dxfout.$(o):geom\dxfout.$(lang)
	$(cc) $(cflags) $(ansi) geom\dxfout.$(lang)
pgrid.$(o):geom\pgrid.$(lang)
	$(cc) $(cflags) $(ansi) geom\pgrid.$(lang)
plot3d.$(o):geom\plot3d.$(lang)
	$(cc) $(cflags) $(ansi) geom\plot3d.$(lang)
pprof.$(o):geom\pprof.$(lang)
	$(cc) $(cflags) $(ansi) geom\pprof.$(lang)
stroke.$(o):geom\stroke.$(lang)
	$(cc) $(cflags) $(ansi) geom\stroke.$(lang)
tlist.$(o):geom\tlist.$(lang)
	$(cc) $(cflags) $(ansi) geom\tlist.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
fslist.$(o):vfs\drivers\fslist.$(lang)
	$(cc) $(cflags) $(ansi) vfs\drivers\fslist.$(lang)
vfscat.$(o):vfs\drivers\vfscat.$(lang)
	$(cc) $(cflags) $(ansi) vfs\drivers\vfscat.$(lang)
fszipfs.$(o):vfs\drivers\fszipfs.$(lang)
	$(cc) $(cflags) $(ansi) vfs\drivers\fszipfs.$(lang)
fspefs.$(o):vfs\drivers\fspefs.$(lang)
	$(cc) $(cflags) vfs\drivers\fspefs.$(lang)
fbase.$(o):vfs\fbase.$(lang)
	$(cc) $(cflags) $(ansi) vfs\fbase.$(lang)
fsbase.$(o):vfs\fsbase.$(lang)
	$(cc) $(cflags) $(ansi) vfs\fsbase.$(lang)
fstree.$(o):vfs\fstree.$(lang)
	$(cc) $(cflags) $(ansi) vfs\fstree.$(lang)
fswrap.$(o):vfs\fswrap.$(lang)
	$(cc) $(cflags) $(ansi) vfs\fswrap.$(lang)
iobase.$(o):vfs\iobase.$(lang)
	$(cc) $(cflags) $(ansi) vfs\iobase.$(lang)
mbase.$(o):vfs\mbase.$(lang)
	$(cc) $(cflags) $(ansi) vfs\mbase.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
bitmap.$(o):vidgl\bitmap.$(lang)
	$(cc) $(cflags) vidgl\bitmap.$(lang)
camctl.$(o):vidgl\camctl.$(lang)
	$(cc) $(cflags) $(ansi) vidgl\camctl.$(lang)
glfbsave.$(o):vidgl\glfbsave.$(lang)
	$(cc) $(cflags) $(ansi) vidgl\glfbsave.$(lang)
glfdback.$(o):vidgl\glfdback.$(lang)
	$(cc) $(cflags) $(ansi) vidgl\glfdback.$(lang)
glfont.$(o):vidgl\glfont.$(lang)
	$(cc) $(cflags) vidgl\glfont.$(lang)
gltextur.$(o):vidgl\gltextur.$(lang)
	$(cc) $(cflags) $(ansi) vidgl\gltextur.$(lang)
glvdraw.$(o):vidgl\glvdraw.$(lang)
	$(cc) $(cflags) $(ansi) vidgl\glvdraw.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
incodes.$(o):input\incodes.$(lang)
	$(cc) $(cflags) input\incodes.$(lang)
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
