ROOTDIR=..\..\..
LANG=c
O=obj
A=lib
CC=wcc386.exe
CDEBUG=-d3 -hd
OPTFLAGS=-s -6r -fpi87
# OPTFLAGS=-s -6r -fpi87 -fp6 -obmilkert
CFLAGS=-w=4 -zq -D__LIBV__ -I$(ROOTDIR)\include $(OPTFLAGS) $(CDEBUG)
MV=move
RM=del
AS=nasm
AFLAGS=-fwin32 -d__WIN32__ -dNO_MEMOPS
S=asm
MAKE=nmake
MAKEFILE=watcom.mak
ARCH=win32
LIB=$(ROOTDIR)/lib/$(ARCH)/watcom/libV.$(A)
###########################################################################
all:$(LIB)
###########################################################################
include ..\FileList.dos
include ..\supp.mak
###########################################################################
# OBJECTS=$(SRC:.$(LANG)=.$(O))) $(SRC_INTEL:.$(S)=.$(O))
OBJECTS=$(SRC:.c=.obj) $(SRC_INTEL:.asm=.obj)
.$(S).$(O):
	$(AS) $(AFLAGS) -I $(<D) $< -o $@
.$(LANG).$(O):
	$(CC) $(CFLAGS) $(ANSI) $< -fo=$@
$(LIB):$(OBJECTS) $(SUPP_OBJECTS)
	libemu.exe "wlib.exe -n -b" $@ $(OBJECTS) $(SUPP_OBJECTS) > NUL
###########################################################################
clean:
	nmake -f ..\clean.mak
