#ifndef	PHASESP_H
#define	PHASESP_H

/*
 * Macros for access coords in the phase space.
 */

#define	PHASESPACE_DIM			6
#define	PHASESPACE_POS_OFFSET	0
#define	PHASESPACE_VEL_OFFSET	3

#define	PHASESPACE_BYTES(n)	(PHASESPACE_DIM * n * sizeof(vec_t))

#define	PS_POS(phase,n) \
	(&(phase)[PHASESPACE_DIM * n + PHASESPACE_POS_OFFSET])
#define	PS_VEL(phase,n) \
	(&(phase)[PHASESPACE_DIM * n + PHASESPACE_VEL_OFFSET])

#endif	/* !PHASESP_H */
