#	Change to source file name
target=tsd_dump
#	May be either 'a' or 'so'
suffix=a
#	Change to directory libv installed into
libvroot=../..
rm=rm -f
cc=gcc
cdebug=-ggdb
cflags=-c -Wall -pedantic -idirafter $(libvroot)/include
ld=gcc
lflags=-o $(target)
libs=$(libvroot)/lib/generic/libv.$(suffix) /usr/lib/libuser32.a /usr/lib/libkernel32.a \
	/usr/lib/libm.a /usr/lib/libopengl32.a /usr/lib/libgdi32.a
all:$(target)
.c.o:
	$(cc) $(cflags) $(cdebug) $*.c
$(target):$(target).o
	$(ld) $(target).o $(libs) $(lflags)
clean:
	$(rm) $(target).o
	$(rm) $(target)
