#ifndef	AMUTEX_H
#define	AMUTEX_H

#ifdef	ARCH_THREADING_SUPPORTED

#ifndef	ARCH_RECURSIVE_MUTEX
#define	ARCH_RECURSIVE_MUTEX
#endif	/* !ARCH_RECURSIVE_MUTEX */

#ifdef	CONFIG_NT_ONLY

typedef struct arch_mutex_s
{
	CRITICAL_SECTION	cs;
	u32_t 				lock_count;
}	arch_mutex_t, *arch_mutex_p;

#else	/* !CONFIG_NT_ONLY */

typedef struct arch_mutex_s
{
	HANDLE	mutex;
}	arch_mutex_t, *arch_mutex_p;

#endif	/* !CONFIG_NT_ONLY */

#endif	/* ARCH_THREADING_SUPPORTED */

#endif	/* !AMUTEX_H */
