ROOTDIR=..\..\..
LANG=c
O=obj
A=lib
CC=bcc32.exe
CDEBUG=
OPTFLAGS=-6 -O2
CFLAGS=-D__LIBV__ -I$(ROOTDIR)\include -c -P $(OPTFLAGS) $(CDEBUG)
MV=move
RM=del
AS=nasm
AFLAGS=-fobj -d__WIN32__ -dNO_MEMOPS
S=asm
MAKE=nmake
MAKEFILE=bcc32.mak
ARCH=win32
LIB=$(ROOTDIR)\lib\$(ARCH)\bcc32\libV.$(A)
###########################################################################
all:$(LIB)
###########################################################################
include ..\FileList.dos
include ..\supp.mak
###########################################################################
# OBJECTS=$(SRC:.$(LANG)=.$(O))) $(SRC_INTEL:.$(S)=.$(O))
OBJECTS=$(SRC:.c=.obj) $(SRC_INTEL:.asm=.obj)
.$(S).$(O):
	$(AS) $(AFLAGS) -I $(<D) $< -o $@
.$(LANG).$(O):
	$(CC) $(CFLAGS) $(ANSI) -o$@ $<
$(LIB):$(OBJECTS) $(SUPP_OBJECTS)
	libemu.exe tlib.exe $@ /P32 $(OBJECTS) $(SUPP_OBJECTS)
###########################################################################
clean:
	cd ..
	nmake -f clean.mak
