LANG=c
O=obj
A=lib
CC=cl.exe
# CDEBUG=-Zi -Yd
CFLAGS=/nologo -O2 -Ot -Gs -W4 -G6 -MD $(CDEBUG) -D__LIBV__ -D__WIN32__ -I $(ROOTDIR)/include
AR=lib /NOLOGO
MV=move
RM=del
AS=nasm
AFLAGS=-fwin32 -d__WIN32__
S=asm
MAKE=nmake
MAKEFILE=vc.mak
ROOTDIR=..\..\..
ARCH=win32
LIB=$(ROOTDIR)\lib\$(ARCH)\vc\libV.$(A)
###########################################################################
all:$(LIB)
###########################################################################
include ..\FileList.dos
include ..\supp.mak
###########################################################################
OBJECTS=$(SRC:.c=.obj) $(SRC_INTEL:.asm=.obj)
.$(S).$(O):
    $(AS) $(AFLAGS) -I $(<D) $< -o $@
.$(LANG).$(O):
    $(CC) /c $(CFLAGS) $(ANSI) -I$(<D) $< /Fo$@
# $(LIB):$(SRC:.$(LANG)=.$(O)) $(SRC_INTEL:.$(S)=.$(O)) $(SUPP_OBJECTS)
$(LIB):$(OBJECTS) $(SUPP_OBJECTS)
    $(AR) $(OBJECTS) $(SUPP_OBJECTS) /OUT:$@
###########################################################################
clean:
	cd ..
	nmake -f clean.mak
