/*
 *	fslist.c: contains global list of built-in filesystem recognizers.
 */

#include <../source/TAL/objbase.h>
#include <../source/vfs/drivers/fslist.h>

vfs_mount_proc_t	def_mnt_proc[] =
{

#ifdef	CONFIG_VFS_PAKFS
	vfsMountPak,
#endif	/* CONFIG_VFS_PAKFS */

#ifdef	CONFIG_VFS_PEFS
	vfsMountExecutable,
#endif /* CONFIG_VFS_PEFS */

#ifdef	CONFIG_VFS_ZIPFS
	vfsMountZip,
#endif	/* CONFIG_VFS_ZIPFS */

#ifdef	CONFIG_VFS_TARFS
	vfsMountTar,
#endif	/* CONFIG_VFS_TARFS */

#ifdef	CONFIG_VFS_WADFS
	vfsMountWad,
#endif	/* CONFIG_VFS_WADFS */

#ifdef	CONFIG_VFS_GOBFS
	vfsMountGob,
#endif	/* CONFIG_VFS_GOBFS */

	NULL
};
